# m3e/expandable_list_item

ExpandableListItem is an item in a list that can be expanded to show more items.

This file was generated: By: m3e/generator version 0.1.0 At: 2026-05-05T14:38:23+10:00

         DO NOT EDIT

# Types

## Config

</>

Config is a public record for configuring this component.

    pub type Config {
      Config(disabled: Disabled, open: Open)
    }

### Constructors

-     Config(disabled: Disabled, open: Open)

## Disabled

</>

Disabled is whether the element is disabled.

    pub type Disabled {
      IsDisabled
      IsNotDisabled
    }

### Constructors

-     IsDisabled

-     IsNotDisabled

## ExpandableListItem

opaque </>

ExpandableListItem is a View Model for this component

## Fields:

- disabled: Whether the element is disabled.
- open: Whether the item is expanded.

    pub opaque type ExpandableListItem

## Open

</>

Open is whether the item is expanded.

    pub type Open {
      IsOpen
      IsNotOpen
    }

### Constructors

-     IsOpen

-     IsNotOpen

## Slot

</>

Slots are used in child elements to insert content into this component

    pub type Slot {
      Leading
      Overline
      SupportingText
      ToggleIcon
      Items
      Trailing
    }

### Constructors

-     Leading

-     Overline

-     SupportingText

-     ToggleIcon

-     Items

-     Trailing

# Values

## default_config

</>

    pub fn default_config() -> Config

default_config is the default configuration for this component.

## default_disabled

</>

    pub const default_disabled: Disabled

## default_open

</>

    pub const default_open: Open

## disabled

</>

    pub fn disabled(
      record: ExpandableListItem,
      disabled: Disabled,
    ) -> ExpandableListItem

disabled sets the value of disabled for this ExpandableListItem.

## from_config

</>

    pub fn from_config(config: Config) -> ExpandableListItem

from_config creates a new ExpandableListItem from the given configuration.

## new

</>

    pub fn new() -> ExpandableListItem

new creates a new ExpandableListItem with the default configuration.

## open

</>

    pub fn open(
      record: ExpandableListItem,
      open: Open,
    ) -> ExpandableListItem

open sets the value of open for this ExpandableListItem.

## render

</>

    pub fn render(
      model: ExpandableListItem,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render creates a Lustre Element for a ExpandableListItem

## render_config

</>

    pub fn render_config(
      c: Config,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render_config creates a Lustre Element from a ExpandableListItem Config

## slot

</>

    pub fn slot(s: Slot) -> attribute.Attribute(msg)

slot returns a Lustre Attribute(msg) for the given slot name

✨